You are not logged in.

#1 2024-05-18 11:35:50

defragmenteur
Member
Registered: 2022-04-23
Posts: 11

tmux error with ncurses 6.5-1

Since last update of ncurses to 6.5-1 on testing, tmux no longer work.

tmux: /usr/lib/libncursesw.so.6: version `NCURSES6_TINFO_6.4.current' not found (required by tmux)

Offline

#2 2024-05-18 12:03:28

Awebb
Member
Registered: 2010-05-06
Posts: 6,432

Re: tmux error with ncurses 6.5-1

Does it go away if you rebuild tmux against the new ncurses?

Offline

#3 2024-05-18 12:40:30

gromit
Package Maintainer (PM)
From: Germany
Registered: 2024-02-10
Posts: 230
Website

Re: tmux error with ncurses 6.5-1

Yes it does, I will push a fixed package to testing soon

Offline

#4 2024-05-18 13:26:05

gromit
Package Maintainer (PM)
From: Germany
Registered: 2024-02-10
Posts: 230
Website

Re: tmux error with ncurses 6.5-1

Did you notice any other breakage so far? I probed a few packages and they all seemed to work, but the type of incompatibility strongly suggests that others are broken asweell

Offline

#5 2024-05-18 15:41:32

Awebb
Member
Registered: 2010-05-06
Posts: 6,432

Re: tmux error with ncurses 6.5-1

I tested a few and deemed it a success the moment I saw anything ncurse-y.

Tested fine:
alsa-utils (requires libncursesw.so): alsamixer works
gptfdisk (requires libncursesw.so): cgdisk works
screen (requires libncursesw.so): screen works
htop (requires libncursesw.so): htop works
profanity (requires libncursesw.so): profanity works
iftop works
ccze -m curses works
less works
libcaca: cacaview works
ncdu works
texinfo: info works

Tested bad:
tmux: tmux doesn't work

Tested inconclusive:
pinentry: pinenentry-curses does not crash with an error, but I don't see curses either.
udftools: found no curses interface.
inetutils: is telnet curses? if so it works

EDIT: More tests

Last edited by Awebb (2024-05-18 15:57:39)

Offline

#6 2024-05-18 19:57:32

gromit
Package Maintainer (PM)
From: Germany
Registered: 2024-02-10
Posts: 230
Website

Re: tmux error with ncurses 6.5-1

Thanks for testing! I have forwarded your results to the relevant package maintainer

Offline

#7 2024-05-18 23:20:06

defragmenteur
Member
Registered: 2022-04-23
Posts: 11

Re: tmux error with ncurses 6.5-1

On my side I also test cmus and foot. Both work.

Offline

#8 2024-05-20 05:16:02

Gustorn
Member
Registered: 2014-01-16
Posts: 12

Re: tmux error with ncurses 6.5-1

I found an issue: the new ncurses package conflicts with "wezterm-terminfo" as they both provide "/usr/share/terminfo/w/wezterm" (so for me, it cannot be installed)

Last edited by Gustorn (2024-05-20 05:16:38)

Offline

#9 2024-05-20 08:09:54

gromit
Package Maintainer (PM)
From: Germany
Registered: 2024-02-10
Posts: 230
Website

Re: tmux error with ncurses 6.5-1

@Gustorn, this was already reported: https://gitlab.archlinux.org/archlinux/ … -/issues/2

Offline

Board footer

Powered by FluxBB